function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
    game_state.active_objects = {}
	
	pf:GetObject('door'):GetAnimation():Stop()
	pf:GetObject('door'):GetAnimation():SetMode(HGEANIM_NOLOOP + HGEANIM_FWD)	
	
	local object = pf:GetObject('boards');
	
	inventory_boards = CreateInventory(object:GetX(),
                                        object:GetY(),
                                        object:GetZ() + 10,
                                        "boards",
                                        CreateItem('crawbar_tool', 'crawbar_scaled'),
                                        CreateItem('pincers_tool', 'pincers_scaled'),
                                        CreateItem('saw_tool', 'saw_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_11_1");
	
	inventory_boards.state_changer = "OnBoardsBroken"
		
	inventory_boards.OnComplete = function()
	    play_field:GetObject('boards'):ChangeOpacity(1, 0, 0.3)
	end
	
	CreateTool('crawbar', 'crawbar_scaled')	
	CreateTool('pincers', 'pincers_scaled')
	CreateTool('saw', 'saw_scaled')	
		
	
	game_state.locked_objects['door_active_zone'] = true
	AddRandomTasks(18,
                    CreateTask('BOTTLE', 'BOTTLES', 'bottle', 'bottle2', 'bottle3', 'bottle4'),                    
					CreateTask('BELL', '', 'bell'),
					CreateTask('BOWKNOT', '', 'bowknot'),
					CreateTask('BUTTERFLY', '', 'butterfly'),
					CreateTask('BLUE_CAP', '', 'cap'),
					CreateTask('CHERRIES', '', 'cherries'),
					CreateTask('DAGGER', '', 'dagger'),
					CreateTask('FOOT', '', 'foot'),
					CreateTask('FACE', '', 'mask'),
					CreateTask('LEAF', '', 'leaf'),
					CreateTask('MUSHROOM', '', 'mushroom'),
					CreateTask('ONION', '', 'onion'),
					CreateTask('ROSE', '', 'rose'),
					CreateTask('TORTOISE_SHELL', '', 'tortoise_shell'),					
					CreateTask('UMBRELLA', '', 'umbrella'),
                    CreateTask('CUP', '', 'cup'),					
					CreateTask('FAN1', '', 'fan'),
					CreateTask('PADLOCK', '', 'padlock'));
    
	setFibrillationEffector(play_field:GetObject('light1'), 0.8)
	setFibrillationEffector(play_field:GetObject('light2'), 0.7)
	setFibrillationEffector(play_field:GetObject('light3'), 0.3)
	setFibrillationEffector(play_field:GetObject('light4'), 0.4)
	setFibrillationEffector(play_field:GetObject('light5'), 1)
	
	play_field:IgnoreOnTestPoint('sprait_knigi')
	InitChain1(screen)
	game_state.chain1.state_changer = "OnStartingComicsComplete"
	InitChain2(screen)
	
	AddSheriffEyeLogic()
	
	------------------------------------------------------------------------------
	-- working animation tentacles
	local anim_tentacles = pf:GetObject('tentacles');
	local time_anim_tentacles = GetAnimationLength(anim_tentacles:GetAnimation());
	local effector   = CreateAnimationEffector()
    effector:AttachTo(anim_tentacles)
    effector:SetMode(_ANIM_LOOP)
    effector:SetKey(_TRACK_O, 0.,                               1.);
    effector:SetKey(_TRACK_O, time_anim_tentacles - 0.0001,     1.);
    effector:SetKey(_TRACK_O, time_anim_tentacles,              0.);
    effector:SetKey(_TRACK_O, 3 * time_anim_tentacles - 0.0001, 0.);
    effector:SetKey(_TRACK_O, 3 * time_anim_tentacles,          1.);
    effector:Play();
	
	play_field:IgnoreOnTestPoint('sprajt_bottle_1')
	game_state.locked_objects['radio'] = true
	game_state.meta_object = 'cigar11'
	
	game_state.OnStartingComicsComplete = function()
		inventory_boards:Unlock()
	end
	
	game_state.OnBoardsBroken = function()
		play_field:GetObject('boards'):SetOpacity(0)
	end
	
	game_state.OnComplete = function()
	    local anim = play_field:GetLevelScreen():GetPanel():GetObject('Cover'):GetAnimation()
	    anim:Stop()
	    anim:SetFrame(6)
	    anim = play_field:GetObject('door'):GetAnimation()
	    anim:SetFrame(GetAnimationLength(anim) - 2)
	    ActivateZoom()
	end
end

function OnMinigameCompleted()
    local o = {}	    
    table.insert(o, 'bat1')
    table.insert(o, 'coinslot')
    table.insert(o, 'phone_over')
    table.insert(o, 'phone_closed')
    table.insert(o, 'coin1')    
    table.insert(o, 'coin3')
    table.insert(o, 'sprait_knigi')        
    
    for i,v in ipairs(o) do
        play_field:GetObject(v):SetVisible(false)
        zoom_callbox.RemoveObject(v)
    end
	
	zoom_callbox.close_button:SetEnabled(true)
	
	game_state.locked_objects['radio'] = false
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')

    comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		inventory_boards:Unlock();		
	end
	
    game_state.chain1 = CreateChain('pixel1',
                                    screen,
                                    comics1, GetString("COMICS_11_1"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')

    
    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_11_2"))
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnUpdate(dt)
end

function ActivateZoom()
    game_state.locked_objects['door_active_zone'] = false
    game_state.custom_cursors['door_active_zone'] = 'CursorZoom'
    
    obj = play_field:GetObject('door_active_zone')			
    
    local e = AddBubblesExplosion(obj, play_field, 1, obj:GetZ() + 10, 0, 0, 1 / obj:GetScaleX(), 1 / obj:GetScaleY(), 0)			
end

function OnNotebookClosed()
	local pf = play_field
	PlaySound("11_OpenPhoneBox");
    pf:GetObject('door'):GetAnimation():Play()		
		local timer = play_field:GetTimer()
		local delay = GetAnimationLength(pf:GetObject('door'):GetAnimation())
		TimerDo(timer,
				delay,
				ActivateZoom)
    GetProfileManager():GetCurrentProfile():AddStateChanger('OnComplete')
end

function OnNotebookOpened()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end
	
	if object:GetName() == 'door_active_zone' and not game_state.locked_objects['door_active_zone'] then
		OnWin()
	end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnObjectWasFound(object)
    if object:GetName() == 'radio' then
        game_state.chain3.Start()
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/boards.png',0,0,138,114,1,0)
	anim:SetHotSpot(69,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boards',anim,669,412,109,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Animations/door/door.dds',0,0,93,277,4,8)
	anim:SetHotSpot(47,139)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door',anim,663,395,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Layers/BG.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG',anim,512,384,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('door_active_zone',anim,671,381,100,0,14,32)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light1',anim,235,303,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light2',anim,238,313,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light3',anim,403,306,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light4',anim,565,315,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light5',anim,908,313,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('phone_over',anim,532,376,121,0,40,30)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,505,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel4',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,499,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/crawbar.png',0,0,141,31,1,0)
	anim:SetHotSpot(70,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar',anim,349,64,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/crawbar.png',0,0,141,31,1,0)
	anim:SetHotSpot(70,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar_scaled',anim,356,65,100,-45,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/crawbar.png',0,0,141,31,1,0)
	anim:SetHotSpot(70,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar_tool',anim,57,120,100,-45,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/saw.png',0,0,46,143,1,0)
	anim:SetHotSpot(23,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw',anim,792,644,100,-45,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/saw.png',0,0,46,143,1,0)
	anim:SetHotSpot(23,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw_tool',anim,105,120,100,-40,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/saw.png',0,0,46,143,1,0)
	anim:SetHotSpot(23,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw_scaled',anim,803,640,100,-40,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/pincers.png',0,0,82,30,1,0)
	anim:SetHotSpot(41,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pincers',anim,770,28,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/pincers.png',0,0,82,30,1,0)
	anim:SetHotSpot(41,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pincers_tool',anim,588,60,100,-45,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/bottle.png',0,0,31,68,1,0)
	anim:SetHotSpot(15,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,406,549,100,10,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/bottle2.png',0,0,170,47,1,0)
	anim:SetHotSpot(85,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle2',anim,237,744,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/bottle3.png',0,0,62,77,1,0)
	anim:SetHotSpot(31,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle3',anim,701,600,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/bottle4.png',0,0,56,17,1,0)
	anim:SetHotSpot(28,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle4',anim,888,528,100,-15,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/shoe.png',0,0,59,30,1,0)
	anim:SetHotSpot(29,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoe',anim,903,437,100,-35,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/bat.png',0,0,65,30,1,0)
	anim:SetHotSpot(32,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bat',anim,946,82,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/bell.png',0,0,40,47,1,0)
	anim:SetHotSpot(20,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,245,49,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/bowknot.png',0,0,48,30,1,0)
	anim:SetHotSpot(24,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bowknot',anim,582,139,100,-25,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/butterfly.png',0,0,72,46,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,393,23,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/cap.png',0,0,59,44,1,0)
	anim:SetHotSpot(29,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cap',anim,449,229,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/cherries.png',0,0,37,53,1,0)
	anim:SetHotSpot(18,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cherries',anim,713,118,100,-25,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/dagger.png',0,0,118,31,1,0)
	anim:SetHotSpot(59,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger',anim,587,619,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Layers/sprajt_bottle_1.png',0,0,38,57,1,0)
	anim:SetHotSpot(19,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_bottle_1',anim,580,462,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Layers/sprajt_bottle_3.png',0,0,26,22,1,0)
	anim:SetHotSpot(13,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_bottle_3',anim,680,630,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Layers/sprajt_pancirja.png',0,0,83,82,1,0)
	anim:SetHotSpot(41,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_pancirja',anim,875,695,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Layers/sprajt_pily.png',0,0,93,44,1,0)
	anim:SetHotSpot(46,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_pily',anim,813,664,107,40,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Layers/sprajt_stupni.png',0,0,40,47,1,0)
	anim:SetHotSpot(20,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_stupni',anim,502,515,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/foot.png',0,0,57,47,1,0)
	anim:SetHotSpot(28,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('foot',anim,534,532,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/mask.png',0,0,53,53,1,0)
	anim:SetHotSpot(26,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,316,301,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/tortoise_shell.png',0,0,99,71,1,0)
	anim:SetHotSpot(49,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tortoise_shell',anim,853,675,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Layers/sprajt_tufli.png',0,0,16,56,1,0)
	anim:SetHotSpot(8,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_tufli',anim,885,427,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/pincers.png',0,0,82,30,1,0)
	anim:SetHotSpot(41,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pincers_scaled',anim,766,29,100,-45,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/leaf.png',0,0,65,65,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('leaf',anim,626,677,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/mushroom.png',0,0,34,39,1,0)
	anim:SetHotSpot(17,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mushroom',anim,872,609,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/onion.png',0,0,30,38,1,0)
	anim:SetHotSpot(15,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('onion',anim,319,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/rose.png',0,0,48,70,1,0)
	anim:SetHotSpot(24,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rose',anim,283,411,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Items/umbrella.png',0,0,55,151,1,0)
	anim:SetHotSpot(27,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,767,456,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/cigar11.png',0,0,111,64,1,0)
	anim:SetHotSpot(55,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar11',anim,842,500,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_call_box_5/Animations/tentacles/tentacles.png',0,0,83,70,18,6)
	anim:SetHotSpot(42,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tentacles',anim,482,85,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
